# Solve the problem from the second set here

def fibonacci(n):
    f1=1
    f2=1
    while n>=f2:
        aux=f2
        f2+=f1
        f1=aux
    print(f2)
    return f2

if __name__=="__main__":
    n=int(input("Please enter an positive integer number: "))
    fibonacci(n)